Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSHTTPUserConfiguration Class Reference

Configuration information for a HttpSignalingEngine. More...

`#import <CSHTTPUserConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the HTTP provider is enabled. More...
NSArray * | mediaEncryptionCipherList
| List of enabled ciphersuites for SRTP. More...
BOOL | SRTCPEnabled
| A Boolean value indicating whether encryption is enabled for SRTCP. More...
CSHTTPClientConfiguration * | HTTPClientConfiguration
| Configuration information for HTTP Client data. More...
BOOL | mediaTunnelingEnabled
| A Boolean value indicating whether the Media Tunneling is allowed by the configuration. More...
BOOL | mediaTunnelingEnforced
| A Boolean value indicating whether the Media Tunneling is enforced by the configuration. More...
CSMediaTransportPreference | voipCallingPreference
| VoIP Calling preference of user. More...
CSMediaAddressMode | mediaAddressMode
| Indicates the IP address type preference to use while transporting media for HTTP calls from a dual stack client network. More...

## Detailed Description

Configuration information for a HttpSignalingEngine.

## Property Documentation

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the HTTP provider is enabled.

- (CSHTTPClientConfiguration*) HTTPClientConfiguration
| read write nonatomic strong

Configuration information for HTTP Client data.

- (CSMediaAddressMode) mediaAddressMode
| read write nonatomic assign

Indicates the IP address type preference to use while transporting media for HTTP calls from a dual stack client network.

Currently IPv4 and IPv6 are the valid options supported by Client SDK. IPv4Then6 and IPv6Then4 are internally treated as IPv4 and IPv6 respectively for HTTP calls.

- (NSArray*) mediaEncryptionCipherList
| read write nonatomic strong

List of enabled ciphersuites for SRTP.

- (BOOL) mediaTunnelingEnabled
| read write nonatomic assign

A Boolean value indicating whether the Media Tunneling is allowed by the configuration.

If media tunneling is allowed, Client SDK will try to tunnel audio/video data on ports 443/8443 upon failure of audio/video data connections on standard ports.

- (BOOL) mediaTunnelingEnforced
| read write nonatomic assign

A Boolean value indicating whether the Media Tunneling is enforced by the configuration.

Should be used only for testing purposes.

- (BOOL) SRTCPEnabled
| read write nonatomic assign

A Boolean value indicating whether encryption is enabled for SRTCP.

- (CSMediaTransportPreference) voipCallingPreference
| read write nonatomic assign

VoIP Calling preference of user.

The documentation for this class was generated from the following file:

- CSHTTPUserConfiguration.h